#!/bin/bash

set -eu

echo -n "Get password"

NAME=rtls-data-adapter

DATABASE_FILE="/usr/rtls/database.json"
MODULE_CONF=/etc/rtls/${NAME}.json

FIELDS="host, port, user, password, database"

TMPFILE=$(mktemp "/tmp/${NAME}.XXXXXX")

jq -s '.[0] * {prod: (.[1].prod | { '"$FIELDS"' })} * {dw: (.[1].dw | { '"$FIELDS"' })}' "$MODULE_CONF" "$DATABASE_FILE" > "$TMPFILE"
mv "$TMPFILE" "$MODULE_CONF"

chmod +r "$MODULE_CONF"
